#ifndef CBASEWIDGET_H
#define CBASEWIDGET_H

#include <QWidget>

enum WIDGET_TYPE
{
    wt_questionBody = 1,
    wt_questionBodyText,
    wt_optionItem,
    wt_aduioPlay,
    wt_fillBlankBody,
    wt_blank,
    wt_QAABlank,
    wt_photoAnswer,
    wt_WXAnswer,
    wt_question,
    wt_standardAnswer
};

class CBaseWidget : public QWidget
{
    Q_OBJECT
public:
    explicit CBaseWidget(QWidget *parent = nullptr);
    virtual int widgetType()=0;
signals:

};


class CImgAnsBaseWidget : public QWidget
{
public:
     explicit CImgAnsBaseWidget(QWidget *parent = nullptr);
    virtual bool isImgCtl()=0;
};


class CQuestionBaseWidget : public CBaseWidget
{
public:
    explicit CQuestionBaseWidget(QWidget *parent = nullptr);
    virtual void handinPaper()=0;
    virtual void audioPlayCountChange()=0;
};

#endif // CBASEWIDGET_H
